-- | 2nd order Butterworth bandpass filter.
module Sound.SC3.UGen.Record.BPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BPF = BPF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
bpf :: BPF
bpf = BPF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkBPF :: BPF -> S.UGen
mkBPF (BPF r a' b' c') = S.mkOsc r "BPF" [a',b',c'] 1
instance Make BPF where
  ugen = mkBPF
