-- | Band limited impulse oscillator.
module Sound.SC3.UGen.Record.Blip where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Blip = Blip {
  rate :: S.Rate,
  freq :: S.UGen,
  numharm :: S.UGen
  } deriving (Show)
blip :: Blip
blip = Blip {
  rate = S.AR,
  freq = 440.0,
  numharm = 200.0
  }
mkBlip :: Blip -> S.UGen
mkBlip (Blip r a' b') = S.mkOsc r "Blip" [a',b'] 1
instance Make Blip where
  ugen = mkBlip
