-- | Buffer based simple delay line with cubic interpolation.
module Sound.SC3.UGen.Record.BufDelayC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufDelayC = BufDelayC {
  rate :: S.Rate,
  buf :: S.UGen,
  input :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
bufDelayC :: BufDelayC
bufDelayC = BufDelayC {
  rate = S.AR,
  buf = 0.0,
  input = 0.0,
  delaytime = 0.2
  }
mkBufDelayC :: BufDelayC -> S.UGen
mkBufDelayC (BufDelayC r a' b' c') = S.mkOsc r "BufDelayC" [a',b',c'] 1
instance Make BufDelayC where
  ugen = mkBufDelayC
