-- | Compressor, expander, limiter, gate, ducker.
module Sound.SC3.UGen.Record.CompanderD where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CompanderD = CompanderD {
  input :: S.UGen,
  thresh :: S.UGen,
  slopeBelow :: S.UGen,
  slopeAbove :: S.UGen,
  clampTime :: S.UGen,
  relaxTime :: S.UGen
  } deriving (Show)
companderD :: CompanderD
companderD = CompanderD {
  input = 0.0,
  thresh = 0.5,
  slopeBelow = 1.0,
  slopeAbove = 1.0,
  clampTime = 0.01,
  relaxTime = 0.01
  }
mkCompanderD :: CompanderD -> S.UGen
mkCompanderD (CompanderD  a' b' c' d' e' f') = S.mkOsc S.AR "CompanderD" [a',b',c',d',e',f'] 1
instance Make CompanderD where
  ugen = mkCompanderD
