-- | 2D Ambisonic B-format decoder.
module Sound.SC3.UGen.Record.DecodeB2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DecodeB2 = DecodeB2 {
  rate :: S.Rate,
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  orientation :: S.UGen
  } deriving (Show)
decodeB2 :: DecodeB2
decodeB2 = DecodeB2 {
  rate = S.AR,
  w = 0.0,
  x = 0.0,
  y = 0.0,
  orientation = 0.5
  }
mkDecodeB2 :: DecodeB2 -> S.UGen
mkDecodeB2 (DecodeB2 r a' b' c' d') = S.mkOsc r "DecodeB2" [a',b',c',d'] undefined
instance Make DecodeB2 where
  ugen = mkDecodeB2
