-- | Feedback sine with chaotic phase indexing
module Sound.SC3.UGen.Record.FBSineL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FBSineL = FBSineL {
  freq :: S.UGen,
  im :: S.UGen,
  fb :: S.UGen,
  a :: S.UGen,
  c :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
fBSineL :: FBSineL
fBSineL = FBSineL {
  freq = 22050.0,
  im = 1.0,
  fb = 0.1,
  a = 1.1,
  c = 0.5,
  xi = 0.1,
  yi = 0.1
  }
mkFBSineL :: FBSineL -> S.UGen
mkFBSineL (FBSineL  a' b' c' d' e' f' g') = S.mkOsc S.AR "FBSineL" [a',b',c',d',e',f',g'] 1
instance Make FBSineL where
  ugen = mkFBSineL
