-- | Dynamic stochastic synthesis generator.
module Sound.SC3.UGen.Record.Gendy1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Gendy1 = Gendy1 {
  rate :: S.Rate,
  ampdist :: S.UGen,
  durdist :: S.UGen,
  adparam :: S.UGen,
  ddparam :: S.UGen,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  ampscale :: S.UGen,
  durscale :: S.UGen,
  initCPs :: S.UGen,
  knum :: S.UGen
  } deriving (Show)
gendy1 :: Gendy1
gendy1 = Gendy1 {
  rate = S.AR,
  ampdist = 1.0,
  durdist = 1.0,
  adparam = 1.0,
  ddparam = 1.0,
  minfreq = 440.0,
  maxfreq = 660.0,
  ampscale = 0.5,
  durscale = 0.5,
  initCPs = 12.0,
  knum = 0.0
  }
mkGendy1 :: Gendy1 -> S.UGen
mkGendy1 (Gendy1 r a' b' c' d' e' f' g' h' i' j') = S.mkOsc r "Gendy1" [a',b',c',d',e',f',g',h',i',j'] 1
instance Make Gendy1 where
  ugen = mkGendy1
