-- | Dynamic stochastic synthesis generator.
module Sound.SC3.UGen.Record.Gendy3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Gendy3 = Gendy3 {
  rate :: S.Rate,
  ampdist :: S.UGen,
  durdist :: S.UGen,
  adparam :: S.UGen,
  ddparam :: S.UGen,
  freq :: S.UGen,
  ampscale :: S.UGen,
  durscale :: S.UGen,
  initCPs :: S.UGen,
  knum :: S.UGen
  } deriving (Show)
gendy3 :: Gendy3
gendy3 = Gendy3 {
  rate = S.AR,
  ampdist = 1.0,
  durdist = 1.0,
  adparam = 1.0,
  ddparam = 1.0,
  freq = 440.0,
  ampscale = 0.5,
  durscale = 0.5,
  initCPs = 12.0,
  knum = 0.0
  }
mkGendy3 :: Gendy3 -> S.UGen
mkGendy3 (Gendy3 r a' b' c' d' e' f' g' h' i') = S.mkOsc r "Gendy3" [a',b',c',d',e',f',g',h',i'] 1
instance Make Gendy3 where
  ugen = mkGendy3
