-- | A sine like shape made of two cubic pieces
module Sound.SC3.UGen.Record.LFCub where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFCub = LFCub {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen
  } deriving (Show)
lfCub :: LFCub
lfCub = LFCub {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0
  }
mkLFCub :: LFCub -> S.UGen
mkLFCub (LFCub r a' b') = S.mkOsc r "LFCub" [a',b'] 1
instance Make LFCub where
  ugen = mkLFCub
