-- | 2nd order Butterworth lowpass filter
module Sound.SC3.UGen.Record.LPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LPF = LPF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen
  } deriving (Show)
lpf :: LPF
lpf = LPF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0
  }
mkLPF :: LPF -> S.UGen
mkLPF (LPF r a' b') = S.mkOsc r "LPF" [a',b'] 1
instance Make LPF where
  ugen = mkLPF
