-- | Linear congruential chaotic generator
module Sound.SC3.UGen.Record.LinCongC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinCongC = LinCongC {
  freq :: S.UGen,
  a :: S.UGen,
  c :: S.UGen,
  m :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
linCongC :: LinCongC
linCongC = LinCongC {
  freq = 22050.0,
  a = 1.1,
  c = 0.13,
  m = 1.0,
  xi = 0.0
  }
mkLinCongC :: LinCongC -> S.UGen
mkLinCongC (LinCongC  a' b' c' d' e') = S.mkOsc S.AR "LinCongC" [a',b',c',d',e'] 1
instance Make LinCongC where
  ugen = mkLinCongC
