-- | Linear congruential chaotic generator
module Sound.SC3.UGen.Record.LinCongN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinCongN = LinCongN {
  freq :: S.UGen,
  a :: S.UGen,
  c :: S.UGen,
  m :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
linCongN :: LinCongN
linCongN = LinCongN {
  freq = 22050.0,
  a = 1.1,
  c = 0.13,
  m = 1.0,
  xi = 0.0
  }
mkLinCongN :: LinCongN -> S.UGen
mkLinCongN (LinCongN  a' b' c' d' e') = S.mkOsc S.AR "LinCongN" [a',b',c',d',e'] 1
instance Make LinCongN where
  ugen = mkLinCongN
