-- | Very fast sine grain with a parabolic envelope
module Sound.SC3.UGen.Record.PSinGrain where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PSinGrain = PSinGrain {
  freq :: S.UGen,
  dur :: S.UGen,
  amp :: S.UGen
  } deriving (Show)
pSinGrain :: PSinGrain
pSinGrain = PSinGrain {
  freq = 440.0,
  dur = 0.2,
  amp = 1.0
  }
mkPSinGrain :: PSinGrain -> S.UGen
mkPSinGrain (PSinGrain  a' b' c') = S.mkOsc S.AR "PSinGrain" [a',b',c'] 1
instance Make PSinGrain where
  ugen = mkPSinGrain
