-- | Equal power two channel cross fade.
module Sound.SC3.UGen.Record.XFade2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data XFade2 = XFade2 {
  rate :: S.Rate,
  inA :: S.UGen,
  inB :: S.UGen,
  pan :: S.UGen,
  level :: S.UGen
  } deriving (Show)
xFade2 :: XFade2
xFade2 = XFade2 {
  rate = S.AR,
  inA = 0.0,
  inB = 0.0,
  pan = 0.0,
  level = 1.0
  }
mkXFade2 :: XFade2 -> S.UGen
mkXFade2 (XFade2 r a' b' c' d') = S.mkOsc r "XFade2" [a',b',c',d'] 1
instance Make XFade2 where
  ugen = mkXFade2
